| Home | Libraries | People | FAQ | More

#### windows::basic_handle::lowest_layer_type

A `windows::basic_handle` is always the lowest layer.

    typedef basic_handle< HandleService > lowest_layer_type;

###### Types

Name | Description
--- | ---
implementation_type | The underlying implementation type of I/O object.
lowest_layer_type | A basic_handle is always the lowest layer.
native_type | The native representation of a handle.
service_type | The type of the service that will be used to provide I/O operations.

###### Member Functions

Name | Description
--- | ---
assign | Assign an existing native handle to the handle.
basic_handle | Construct a basic_handle without opening it. Construct a basic_handle on an existing native handle.
cancel | Cancel all asynchronous operations associated with the handle.
close | Close the handle.
get_io_service | Get the io_service associated with the object.
io_service | (Deprecated: use get_io_service().) Get the io_service associated with the object.
is_open | Determine whether the handle is open.
lowest_layer | Get a reference to the lowest layer. Get a const reference to the lowest layer.
native | Get the native handle representation.

###### Protected Member Functions

Name | Description
--- | ---
~basic_handle | Protected destructor to prevent deletion through this type.

###### Protected Data Members

Name | Description
--- | ---
implementation | The underlying implementation of the I/O object.
service | The service associated with the I/O object.

The `windows::basic_handle` class template provides the ability to wrap a Windows handle.

###### Thread Safety

Distinct objects: Safe.

Shared objects: Unsafe.

###### Requirements

Header: `boost/asio/windows/basic_handle.hpp`

Convenience header: `boost/asio.hpp`